* {margin: 0; padding: 0;}
.body ul, .body li { padding-left: 1em;}
body {
  min-width: 680px;
  padding-bottom: 15px;
  color: #111;
  font: 82%/150% sans-serif;
  border-bottom: 7px solid #066;
  background: #222 url(//images.slashdot.org/body-bg.png) repeat-x left bottom;
}

#top_parent {
  border: 1px solid transparent;
}

table, tr, td, th { font-size: 100%; }

h1, h2, h3, h4, h5, h6 {
  font-weight: normal;
  text-shadow: #000 0 0 0; /* Reduces font-weight in Safari */
}


#contents h1 {
  margin-bottom: 1em;
  font-size: 185%; /* 24px */
}

#contents h2 {
  margin: 1em 0 .25em 0;
  font-size: 139%; /* 18px */
}

#slashboxes #contents ul {
  padding-left: 1.25em;
  margin-bottom: 20px;
}
#slashboxes #contents ul li { list-style-image: url(//images.slashdot.org/bullet.gif); }

#contents p {
  margin: 0 0 1em 0;
}

a { color: #055; }
a:visited { color: #555; }
a:hover { text-decoration: none; }

hr { border: 1px solid #555; border-width: 1px 0 0 0; }

img { border: none; text-decoration: none; }
sup { margin: 0 0 -.3em 0; }
fieldset { border: none; }
  fieldset legend { display: none; }

#jump { display: none; }

div.ad1 {
  text-align: center;
  padding: 0;
  margin: 0;
  overflow: hidden;
}
.article div.ad6 { margin: 1em 0 }

#frame {
clear: both;
  padding: 5px 0 0 0;
  margin: 0;
  border-top: 1px solid #444;
  background: #2e2e2e;
}

#topnav {
  position: relative;
  height: 55px;
  margin: 5px 1.25em 0 1.25em;
  background: #044 url(//images.slashdot.org/topnav-bg.png) repeat-x left top;
}
  #topnav div#rec_topics_header,
  #topnav ul { display: none; } /* Hide the topic icons */
  #topnav #logo {
    width: 415px;
    height: 100%;
  }
  #topnav #logo h1 {
    display: block;
    height: 100%;
    width: 100%;
  }
    #topnav #logo h1 a {
      display: block;
      width: 100%;
      height: 100%;
      outline: none;
      text-indent: -5000px;
      text-decoration: none;
      background: url(//images.slashdot.org/logo.png) no-repeat left top;
    }
  #topnav div.search {
    position: absolute;
    top: 17px;
    right: 1.25em;
    text-align: right;
    white-space: nowrap;
  }
    div.search input {
      font-size: 93%;
      width: 18em;
    }
    div.search input.button { width: auto; margin-left: 5px; }
  
#slogan, #topnav label, #topnav legend  { display: none; }

/* Wrapper */
#wrapper {
  padding: 0 1.25em;
  border: 1px solid #222;
  border-width: 1px 0;
  background-color: #fff;
}
  /* Thanks: http://positioniseverything.net/easyclearing.html */
  #contents:after {
    content: "."; 
    display: block; 
    height: 0; 
    clear: both; 
    visibility: hidden;
  }

#wrapper #articles,
#wrapper #indexhead,
#search.aduserbox .generaltitle, 
#search.aduserbox .generalbody,
div#users-blocks { margin-right: 18.5em; position: relative; }

/* User section menu */
div#user-section {
  margin-bottom: 1.25em;
  white-space: nowrap;
  font-size: 93%;
  background: #e6e6e6 url(//images.slashdot.org/sections-bg.png) repeat-x left bottom;
}
  div#user-section * { line-height: 100%; }
  div#user-section div.content {
    overflow: hidden;
    padding: .5em .8em;
    background: url(//images.slashdot.org/sections-right.png) no-repeat right bottom;
  }
    div#user-section ul { float: left; }
    
    div#user-section ul { padding: .3em 0; }
      div#user-section ul li {
        display: inline;
        list-style: none;
      }
      div#user-section ul li.begin {font-weight: bold; padding-left: 0; }
      div#user-section ul li.name a {
        font-weight: bold;
      }
      div#user-section ul li.name {
       	padding-left: 0; 
      }
        div#user-section ul li a {
          font-size: 100%;
          text-decoration: none;
	  padding: 0 .3em;
        }
div#user-section ul li:before {content:"|"; color: #999;}
    div#user-section ul li:first-child:before {content:" ";}
        div#user-section ul li a#loginlink {
          padding-left: 1.2em;
          background: url(//images.slashdot.org/login-arrow-collapsed.gif) no-repeat 0 50%;
        }
        div#user-section ul li a#loginlink.expanded { background-image: url(//images.slashdot.org/login-arrow-expanded.gif); }
        
    div#user-section ul#user-utils { float: right; padding: 0 0 .3em 0; margin-top: .25em; }
    
  div#user-section div#loginform { clear: both; overflow: hidden; height: 0; width: 100%; padding: 0; margin: 0; }
/* Curse the phantom */
@media all and (min-width:0px) {
	div#user-section div#loginform { height: auto; }
	head~body div#user-section div#loginform { height: 0; }
}
    div#user-section div#loginform p {display: none;} 
    div#user-section div#loginform form { padding: .75em 0 .25em 0; }
      div#user-section div#loginform form input { width: 12em; margin-right: 1em;}
      div#user-section div#loginform form input.button { width: auto; margin-right: 0; }
      div#user-section div#loginform form label.checkbox { margin-right: 1em; }
      div#user-section div#loginform form label {display: inline;}
        div#user-section div#loginform form label.checkbox input { width: auto; margin-right: .25em; }

/* Contents */
#contents {
  width: auto;
  z-index: 1;
  position: relative;
  margin-left: 10.5em;
}


/* General Title */
div.generaltitle div.title {
  margin-bottom: 0;
  padding: 0;
  border-bottom: 1px solid #fff;
  background: #044 url(//images.slashdot.org/article-title-bg.png) repeat-x left top;
}
  div.generaltitle div.title a { color: #fff; text-decoration: none;}
  div.generaltitle div.title h3 {
    padding: .3em .7em .45em .7em;
    color: #fff;
    font-size: 123%; /* 16px */
    font-weight: bold;
    background: url(//images.slashdot.org/article-title-left.png) no-repeat left top;
  }


/* General Body */
div.generalbody form { padding: .5em .7em 1em .7em; background: #eee url(//images.slashdot.org/corner-eee-bottom-right.png) no-repeat right bottom; }
div#users-blocks div.generalbody form {background: transparent; padding: 0;}
  div.generalbody form fieldset {  }
  div.generalbody form label { font-weight: bold; }


/* Blocks */
div.block div.title { background: #666 url(//images.slashdot.org/block-title-bg.png) repeat-x; }
  div.block div.title * { line-height: 100%; }
  div.block div.title h4 {
    padding: .5em .8em .6em .8em;
    color: #fff;
    font-weight: bold;
    font-size: 93%;
  }
  div.block div.title a { color: #fff; }
  div.block div.content ul { list-style: none; }
  div.block div.content {padding: 0; margin: 0;}

/* Links (left sidebar) */
div#links {
  float: left;
  width: 9.25em;
  padding-bottom: 10px;
  margin-right: 1.25em;
  background: #eee url(//images.slashdot.org/links-bg.png) no-repeat left bottom;
}
  div#links div.block div.content, div#links div.block { margin: 0; padding: 0; }   
  div#links div.block div.title {  margin: 0; position: relative; background: #666 url(//images.slashdot.org/block-title-bg.png) repeat-x;}
  div#links div.block div.title h4 { margin: 0; padding: .5em .8em .6em 2em; }
  div#links div.block div.title h4,
  div#links div.block.expanded div.title h4 { background: url(//images.slashdot.org/block-arrow-expanded.gif) no-repeat .8em 50%; }
  div#links div.block.collapsed div.title h4 { background: url(//images.slashdot.org/block-arrow-collapsed.gif) no-repeat .8em 50%; }
 
  div#links div.block.static div.title h4 { padding-left: .8em; background: none; }
  div#links div.block div.content ul { margin: 0; padding: 0; border-bottom: 1px solid #ddd; }
    div#links div.block div.content ul li { margin: 0; list-style-image: none; }
    div#links div.block div.content ul * { line-height: 100%; }
    div#links div.block div.content ul li a {
      display: block;
      padding: .4em .8em .55em .8em;
      font-size: 93%;
      border-top: 1px solid #ddd;
    }
  div#links div.block div.content ul li h2 { margin: 0; padding: 0; font-size: 100%; }
  div#links div.block div.content ul li h2 a {margin: 0; 
    font-weight: bold;
  }
  div#links div.block div.content ul li a:hover {
    color: #fff;
    text-decoration: none; margin: 0; 
    background: #066 url(//images.slashdot.org/link-arrow.gif) no-repeat right center;
  }

/* Articles */
div.article { position: relative; }
  div.article div.title {
    margin: 0;
    border-bottom: 1px solid #fff;
    background: #044 url(//images.slashdot.org/article-title-bg.png) repeat-x left top;
  }
    div.article div.title span,
    div.article div.title span a { color: #8DC7C0;}
    div.article div.title span a { text-decoration: underline;}
    div.article div.title span a:hover { text-decoration: none;}
    div.article div.title h3 {
      padding: .3em .7em .45em .7em;
      color: #fff;
      font-size: 123%; /* 16px */
      font-weight: bold;
      background: url(//images.slashdot.org/article-title-left.png) no-repeat left top;
    }
    div.article div.future div.title { background: #700 url("//images.slashdot.org/slc.gif") top left no-repeat;}
    div.article div.future div.title h3 { background: transparent; }
    div.article div.details, div.article div.body { padding: .2em .7em; }
    div.article div.details {
      padding: .4em .7em .5em .7em;
      font-size: 93%; /* 12px */
      line-height: 130%;
      background: #ddd url(//images.slashdot.org/article-details-bg.png) repeat-x left top;
    }
      div.article div.details strong {
        font-weight: normal;
        font-size: 92%; /* of 12px = 11px */
      }
        div.article div.details strong b { font-weight: bold; }
    
    div.article div.body { min-height: 75px; margin: .4em 0 0 0; }
      div.article div.body div.topic {
        position: relative;
        float: right;
        margin: .3em 0 .3em .5em;
      }
        div.article div.body div.topic a { text-decoration: none; }
        div.article div.intro i {
          display: block;
          padding: 0 0 0 .85em;
          margin: .25em 0 .6em 0;
          font-style: normal;
          border-left: 3px solid #ddd;
        }
          div.article div.intro i a { font-weight: normal; }
div.storylinks { margin: 0 0 1.5em 0;}

div.storylinks * { line-height: 110%; }
  div.storylinks div {
        margin: 0; 
        padding: 0;
        background: url(//images.slashdot.org/storylinks-bg.png) repeat-x left bottom;
        }
  div.storylinks ul {
    margin: 0;
    padding: .75em 12em .75em .6em;
    background: url(//images.slashdot.org/storylinks-right.png) no-repeat right bottom;
  }
    div.storylinks ul li {
      display: inline;
      padding: 0;
      list-style: none;
      background: none;
      border: none;
    }

    div.storylinks ul li.comments {
      width: 11em;
      right: 0;
      position: absolute;
      margin: -.1em 0;
      padding: .1em 1em .2em 1em;
      text-align: right;
      text-shadow: #000 0 0 0;
      background: none;
    }
    div.storylinks ul li:before {content:"|"; color: #ccc;}
    div.storylinks ul li.more:before,
    div.storylinks ul li.comments:before {content:" ";}

/* Brief Articles */
div.briefarticles {
  margin: 1.5em 0;
  border-bottom: 1px solid #066;
  background: #e8e8e8 url(//images.slashdot.org/briefarticle-top-left.png) no-repeat left top;
}
div.briefarticles div.briefarticle {
    padding: .5em .7em;
    border-bottom: 1px solid #ccc;
    background: url(//images.slashdot.org/briefarticle-fade.png) repeat-y right top;
}
div.briefarticles div.briefarticle span.storytitle a { font-weight: bold; }
div.future div.briefarticle { background: #700;}
div.future div.briefarticle a { color: #fff;}


a.yesterday {
  padding-left: 15px;
  font-weight: bold;
  background: url('//images.slashdot.org/arrow-left.png') no-repeat left center;
}


/* Slashboxes (right sidebar) */
div#slashboxes {
  position: relative;
  float: right;
  width: 17.25em;
  margin-left: 1.25em;
}
  div#slashboxes div.block {
    position: relative;
    margin-bottom: 1.25em;
  }
    div#slashboxes div.block div.title h4 {
      background: url(//images.slashdot.org/block-title-right.png) no-repeat right top;
	padding: .5em .8em .6em .8em; 
    }
    div#slashboxes div.block div.content {
      padding: .4em;
      background: #eee url(//images.slashdot.org/slashbox-bottom-left.png) no-repeat left bottom;
    }
      div#slashboxes div.block div.content p { margin: 0;}
      div#slashboxes div.block div.content ul { margin: 0; padding: 0; list-style-image: none; }
      div#slashboxes div.block div.content ul li {
        padding: .1em .8em .3em .8em;
        list-style-image: none;
        border-top: 1px solid #ddd;
      }
    div#slashboxes div.block div.right { padding: .5em .8em .6em .8em; }


/* Footer */
div#footer {
  margin-top: 1.25em;
  background: #bbb url(//images.slashdot.org/footer-bg.png) repeat-x left top;
clear: both;
}
  div#footer div.search {
    float: left;
    width: 23.25em;
    padding: 1.35em 0 0 1.25em;
    white-space: nowrap;
  }
  div#footer div.rightcontent {
    padding: 1.35em 1.25em 1.5em 0;
    text-align: right;
    background: url(//images.slashdot.org/footer-right.png) no-repeat right top;
  }
    div#footer div.rightcontent table {
      width: auto;
	 border: 1px solid #aaa; border-right: 1px solid #fff; border-bottom: 1px solid #fff;
    }	
     div#footer div.rightcontent .data_hl1 { background: #eee}
    div#footer div.rightcontent small {
      color: #333;
      font-family: 'Trebuchet MS', Helvetica, Arial, clean, sans-serif;
      font-size: 100%;
      font-style: italic;
    }


/* Copyright */
div.copyright {
  margin: 0 1.25em 15px 1.25em;
  background: #444 url(//images.slashdot.org/copyright-bg.png) repeat-x left bottom;
}
  div.copyright p {
    padding: .85em 1.25em;
    color: #999;
    font-size: 85%; /* 11px */
    text-align: center;
    background: url(//images.slashdot.org/copyright-left.png) no-repeat left bottom;
  }
  div.copyright a { color: #ccc; }


/* Bottom Nav */
div.btmnav {
  margin: .4em 0;
	text-align: center;
}
  div.btmnav ul li {
    display: inline;
	  list-style: none;
  }
    div.btmnav ul li a {
      padding: 0 .4em;
      color: #ccc;
      font-size: 93%;
	    border-left: 1px solid #ccc;
    }
    div.btmnav ul li.begin a {
      padding: 0 .4em 0 0;
	    border: none;
    }
    div.btmnav ul li a:visited { color: #aaa; }


/* User stuff */
div#users-blocks div.title, #users div.title, #search div.title, #users-lists div.title, #subscribe div.title {
  margin: 0;
  border-bottom: 1px solid #fff;
}
#users-lists div.title { margin: 1em 0 0 0; }
div#usermenu {
  margin: 0 0 .5em 0;
  background: #e6e6e6 url(//images.slashdot.org/sections-bg.png) repeat-x left bottom;
}
ul.menu {  
  font-size: 93%; /* 12px */
  padding: .5em 0;
  overflow: auto;
  background: url(//images.slashdot.org/storylinks-bg.png) repeat-x bottom left;
}
#usermenu ul.menu {  
  font-size: 93%; /* 12px */
    background: url(//images.slashdot.org/sections-right.png) no-repeat right bottom;
      padding: .5em .8em;
}
  ul.menu li { 
    display: inline;   
    padding: 0;
    margin: 0;
    list-style: none;
  }
    ul.menu li:before {content:"|"; color: #999;}
    ul.menu li:first-child:before {content:" ";}

    ul.menu li a { padding: 0 .5em; }
    #usermenu ul.menu li a { 
      padding: 0 .5em;
      text-decoration: none;
    }
    #usermenu ul.menu li a.begin, ul.menu li a.begin { border: none; }


/* Data tables */

table.data {
  clear: none;
  background: #dfdfdf url(//images.slashdot.org/corner-bottom-right.png) no-repeat right bottom;
}
  table.data tr.data_head { font-size: 93%; }
    table.data tr.data_head th { 
padding: .3em .5em; text-align: left; 
  background: #e6e6e6 url(//images.slashdot.org/sections-bg.png) repeat-x left bottom;
 ; border-bottom: 1px solid #fff; color: #444;}
    table.data tr.data_head a { color: #fff; }

.data_hl1 td,
.data_hl2 td,
.data_hl3 td { padding: .3em .5em; }

.data_hl1 { background: #f8f8f8; }
.data_hl2 { background: #ddd; }
.data_hl3 { background: #eee; }
 

/* FAQ/Misc */
div#misc h2 strong,
div#misc ul li strong { font-weight: normal; }

div#misc hr { margin: 1em 0; }
div#misc ul.menu { padding: 0; margin: 0; }
  div#misc ul.menu li {
    display: inline;
    margin: 0;
    padding: 0 .5em 0 0;
    list-style: none;
  }


/* Topics */
div#topics div.generaltitle { margin-top: 1em; }
div#topics table a { text-decoration: none; }
div#topics table tr td { padding: 1em 0 .5em 0; border-bottom: 1px solid #ddd; }


/* Messaging */
.message { padding: 1em; }
.error {
	padding: 1em;
	color: #600;
	font-weight: bold;
}

/* Authors */
#authors h2 { display: inline; }

#authors .intro {
	display: block;
	margin: .3em;
}

/* Misc */
.notes, .note {
  display: block;
  padding: .5em .7em;
  margin: 1em 0 0 0;
	font-size: 93%;
	border-top: 1px solid #555;
	background: #ddd;
}
div#contents .notes ul, .note ul { padding-left: 1.25em; }
#search div.topic {display: none;}
pre {
	overflow: auto;
	position: relative;
	width: 93%;
	padding: 0 0 0 1em;
}

.lt_tb_col { background: #ccc; }
.lt_text_col { color: #fff; }
.sb_header { font-size: 125%; font-weight: bold; color: #600; }
.hide { display: none }
.buttons { text-align: right }

#users-lists {clear: right;}

/* Forms */

label
{
	display: block;
	font-weight: bold;
	padding: 1em 0 0 0;
}

label.checkbox { font-weight: normal; }

input.button { display: inline; }

div.article ul, ol { margin: 1em 0 1em 2em !important; }
div.commentBody ul { list-style-image: none; margin: 1em 0 1em 2em !important; list-style: disc !important;}
#commentlisting ul { list-style: none;}

div.commentBody ul li, div.commentBody ul ul,
div.commentBody ul li, div.commentBody ul ul,
div.article ul ul, div.article ul li, ol li, ol ol {padding: 0 !important; margin: 0 0 0 1em !important; background: transparent !important;}

/* Submissions */
ul.sub input {margin: 0 0 0 .3em; background: transparent; font-family: sans-serif; border: none; color: #055; text-decoration: underline;}
ul.sub input:hover {text-decoration: none;}
.sub_title, .adminfunction, .sub_info {display: inline; margin: 0 1em 0 0;}

.top.row {border-bottom: 3px #ddd solid; font-weight: bold; }
.user .sub_title { position: absolute; left: 20%; height: 1.3em}
.user .sub_info { position: absolute; left: 60%; height: 1.3em}

div.submenu {font-size: 90%; padding: .1em 0; color: #fff; background: #666 url(//images.slashdot.org/block-title-bg.png) repeat-x; }
div.submenu label { display: inline; margin: 0 0 0 .8em;}
div.submenu input, div.submenu select { margin: 0 1em 0 0 }
div.submenu form, div.submenu fieldset {padding: 0; margin: 0;}
div.sub_display div.row {margin: 1em 0;}
div.storylinks ul.sub li {margin: 0;}
div.storylinks ul.sub li:first-child:before,
div.storylinks ul.sub li.bin:before {content:" ";}
.sub_info {color: #999}
div.storylinks ul li.bin
{
      width: 11em;
      right: 0;
      position: absolute;
      margin: 0;
      padding: .2em 2em .2em 1em;
      text-align: right;
      text-shadow: #000 0 0 0;
      background: none;
    }

#mod_summary { margin-right: auto; margin-left: auto }

.topic img {
	display: block;
	position: relative;
	z-index: 10;
}


/* rules for the autocomplete machinery */
.tagmenu a { text-decoration: underline; cursor: pointer; }

a.ac-source
{
  color: white;
  background-color: darkgray;
}

#ac-select-widget
{
  display: block;
  position: absolute;
  z-index: 9050;
  width: 120px;
  background-color: lightgray;
}
#ac-select-widget.hidden, #ac-select-input.hidden { display: none; }

#ac-select-widget input
{
  border: 2px solid lightgray;
  width: 122px;
  margin: 0;
  padding: 0;
}

#ac-choices { width: 100%; }

#ac-choices .yui-ac-content
{
  width: 100%;
  background: #fff;
  overflow: hidden;
  z-index: 9050;
  border: 1px solid darkgray;
}

#ac-choices ul
{
  display: block;
  list-style: none;
  margin: 0;
  padding: 4px 0 0 0;
  width: 100%;
  font-family: sans-serif;
}

#ac-choices li
{
  display: block;
  margin: 0;
  padding: 0 4px 0 4px;
  cursor: default;
  white-space: nowrap;
}

#ac-choices li.yui-ac-highlight { background: #ff0; }

/* modal */
#modal_cover {background-color: #222; height: 100%; opacity: 0.75; filter: alpha(opacity=75); position: fixed; width: 100%; z-index: 1000000;}
#modal_box .generaltitle .title h3 { background: transparent !important; color: #222; margin: 0 !important; padding: 0;}
#modal_box .generaltitle .title { background: #eee url('//images.slashdot.org/dark_fade_g.png') repeat-x bottom !important; border: none !important; padding: .5em .3em .4em .5em !important;}
#modal_box {position: fixed; margin: 10% 25%; width: 50%;z-index: 1000001;border: 4px solid #222; overflow: hidden; background: #fff; height: 65%; padding-bottom: 2.6em}
#modal_box h3 a {position: absolute !important; right: .3em; top: .3em}
#modal_box #modal_box_content fieldset {margin: 0;padding: 0;border: none;}
#modal_box #modal_box_content {overflow: auto; background-color: #fff;padding: 0; border-top: 1px solid #aaa; height: 100%;  text-align: left; padding: 1em 2em 0 2em;}
#modal_box .generaltitle .title a img {display: none;}
#modal_box .generaltitle .title a { background:url('//images.slashdot.org/s3a_controls.png') no-repeat; width: 16px; position: relative; height: 16px; margin: .2em 0; padding: 0 0 0 8px; }
#modal_box .generaltitle .title a:hover { background:url('//images.slashdot.org/s3a_controls.png') no-repeat 0 -16px;}

/* login pop */
#login_cover {background-color: #222; height: 100%; opacity: 0.75;position: fixed;width: 100%;z-index: 1000000; overflow: hidden;}
#login_box .generaltitle .title h3 {background: transparent; margin: 0; padding: .1em .3em 0 .3em;}
#login_box .generaltitle .title {margin: 0;border: none;}
#login_box {position: fixed;margin: 25%;width: 50%;z-index: 1000001;border: 4px solid #222;}
#login_box h3 a {position: absolute !important;right: .3em;top: .3em}
#login_box #login_box_content legend {display: none;}
#login_box #login_box_content fieldset {margin: 0;padding: 0;border: none;}
#login_box #login_box_content {background-color: #fff;padding: 0 2em 2em 2em; border-top: 1px solid #222;}

/* modal preference help */
div.modalprefhelp {
background:#EBEBEB;
border:2px solid #A3A3A3;
margin:0 1em;
padding:1.5em;
position:absolute;
width:50%;
text-align: left;
z-index: 100000;
}
a.help {
text-decoration: none; border: 1px solid #777; padding: 1px 2px 0 3px; width: 10px; height: 10px; background: #888; font-size: 10px; font-weight: bold; color: #fff;
}

#ostgnavbar {
        padding: .1em 0;
        font-size: 85%; /* 11px */
        text-align: center;
        background: #111 url(//images.slashdot.org/ostg-bg.png) repeat-x;
	clear: both;
}
#ostgnavbar a {
    padding: 0 .2em 0 .4em;
    color: #ccc;
    text-decoration: none;
    border-left: 1px solid #444;
  }
  #ostgnavbar a.highlight { font-weight: bold; }
  #ostgnavbar a:hover { color: #fff; }

  #ostgnavbar li { list-style: none; display: inline; }
  	#ostgnavbar li.begin a { border: none; }
#links { position: relative }
div#links div.block div#links-loggedin-title,
div#links div.block div#links-login-title
{
  background: #666 url(//images.slashdot.org/block-title-right.png) no-repeat right top;
}
div#links div.block div#links-opcenter-title { background: #6d745f url(//images.slashdot.org/topnav-bg-vendors.png) repeat-x 0px -30px; }
div#links div.block div#links-opcenter-content { background: #DBE8B8;}

/* New user link */
a#newuser {
  display: block;
  margin-bottom: .75em;
  color: #fff;
  text-align: center;
  text-decoration: none;
  text-shadow: #000 0 0 0;
  font-weight: bold;
  line-height: 100%;
  background: url(//images.slashdot.org/button-right.png) no-repeat right top;
}
a#newuser span {
  display: block;
  height: 28px;
  padding-top: .55em;
  line-height: 100%;
  background: url(//images.slashdot.org/button-left.png) no-repeat left top;
}


/* Slashboxes */
div#slashboxes div.block div#index_qlinks-content,
div#slashboxes div.block div#poll-content,
div#slashboxes div.block div#books-content,
div#slashboxes div.block div#user-info-content,
div#slashboxes div.block div#login-content form,
div#slashboxes div.block div#userlogin-content form,
div#freshmeat-content form {
  padding: .5em .8em .6em .8em;
  line-height: 160%;
}

/* Make room for Google ads */
div#slashboxes div#advertisement-content { padding: .5em 0; text-align: center; }

div#slashboxes div#poll-content b { padding-bottom: .6em; }
div#slashboxes div#poll-content input { margin: .4em .4em 0 0; }

div#slashboxes div#olderstuff-content br { display: none; }
div#slashboxes div#olderstuff-content a { display: block; }
div#slashboxes div#olderstuff-content ul a { display: inline; }
div#slashboxes div#olderstuff-content ul li { font-weight: bold; }
  div#slashboxes div#olderstuff-content ul li { padding: .4em .7em; border: none; }
  div#slashboxes div#olderstuff-content ul li ul {
    padding: 0 0 .6em 1.25em;
    margin: .4em 0 0 0;
    border-bottom: 1px solid #066;
  }
    div#slashboxes div#olderstuff-content ul li ul li {
      padding: 0;
      list-style-image: url(//images.slashdot.org/bullet.gif);
      font-weight: normal;
    }
    div#olderstuff-content ul li ul li em { font-style: normal; }
  div#olderstuff-content div.right { padding-top: 0; }
    div#olderstuff-content div.right br { display: inherit; }

div#books-content ul {
  padding-bottom: .5em;
  margin: .5em 0;
  border-bottom: 1px solid #066;
}

div#freshmeat-content form { border-top: 1px solid #ccc; }
  div#freshmeat-content form br { display: none; }

div#user-info-content { line-height: 200%; }
  div#user-info-content b { font-size: 93%; }

div#slashboxes div#poll-content li {margin-left: 1em}


/* Login */
div#slashboxes div.block div#login-title, div#slashboxes div.block div#userlogin-title { display: none; }
div#slashboxes div.block div#login-content, div#slashboxes div.block div#userlogin-content {
  padding: 0;
  color: #fff;
  background: #919191 url(//images.slashdot.org/login-content-bg.png) repeat-x left bottom;
}
  div#slashboxes div.block div#login-content form, div#slashboxes div.block div#userlogin-content form { border-bottom: 1px solid #aaa; padding-bottom: .75em; background: url(//images.slashdot.org/login-title-right.png) no-repeat right top; }
  div#slashboxes div.block div#login-content a, div#slashboxes div.block div#userlogin-content a { color: #eee; font-weight: normal; }
  div#slashboxes div.block div#login-content p, div#slashboxes div.block div#userlogin-content p { padding: .2em 0 .5em 0; font-size: 93%; text-align: center; background: url(//images.slashdot.org/login-content-bottom-left.png) no-repeat left bottom; }
  div#slashboxes div.block div#login-content input, div#slashboxes div.block div#userlogin-content input { width: 98%; margin: 0 auto .5em auto; font-size: 93%; }
  div#slashboxes div.block div#login-content label, div#slashboxes div.block div#userlogin-content label {  }
  div#slashboxes div.block div#login-content label.checkbox, div#slashboxes div.block div#userlogin-content label.checkbox { display: block; margin-bottom: .75em; }
    div#slashboxes div.block div#login-content label.checkbox input, div#slashboxes div.block div#userlogin-content label.checkbox input { width: auto; margin: 0 3px 0 0; }
  div#slashboxes div.block div#login-content input.button, div#slashboxes div.block div#userlogin-content input.button { width: auto; margin: 0; }
    
/* System messages */    
div#message {padding: 0; margin: 0 0 1em 0; border-bottom: 1px solid #333; background: #666 url(//images.slashdot.org/block-title-bg.png) repeat-x top left; }
  div#message div.content { padding: 0; margin: 0; background: url(//images.slashdot.org/block-title-left.png) no-repeat left top; }
    div#message div.content p {margin: 0; padding: .3em .7em; color: #fff;}


div#message div.content a {color: #fff;}
  div#message div.content a:visited {color: #ddd;}


/* Related */
  div.briefarticle {position: relative;}
  div.briefarticle a span {text-indent: -5000px; position: relative; float: left;} 
   div.briefarticle a span.expanded {width: 15px; background: url(//images.slashdot.org/login-arrow-expanded.gif) no-repeat 0 50%; }
  div.briefarticle a span, div.briefarticle a span.condensed  {width: 15px; background: url(//images.slashdot.org/login-arrow-collapsed.gif) no-repeat 0 50%; }
  div div.briefcomment { padding-left: 4em; padding-top: 0px }



/* Poll */
.bar {
	width: 100%;
	border: none;
}
.barColor { background: #066; }
.barPercent {
	color: #066;
	white-space: nowrap;
	padding: 0;
	background: none;
}
.barVotes {
	color: #000;
	background: none;
	padding: 0 0 0 .3em;
}
.totalVotes { font-size: 120%; }

/* Tags */
div.tags {
  margin: 1em 0 0 0;
  padding: 0;
  font-size: 93%;
  line-height: 100%;
  background: #666 url(//images.slashdot.org/block-title-bg.png) repeat-x; 
}
  div.tags div.tagtitleclosed, 
  div.tags div.tagtitleopen {
	margin: 0; 
	padding: .5em 0 .5em 20px;
	position: relative;
	background: #fff;
  }
  div.tags div.tagtitleopen {color: #fff;  background: url(//images.slashdot.org/block-title-right.png) no-repeat top right; }
    div.tags div.tagtitleopen a {color: #fff;}
    div.tags div.tagtitleclosed a { text-decoration: none; }
    div.tags div.tagtitleclosed .tagmenu a { text-decoration: underline; }
  div.tags div.tagtitleopen span.tagsheader, 
  div.tags div.tagtitleclosed span.tagsheader {text-indent: -5000px; position:absolute; left: 10px; } 
   div.tags div.tagtitleopen span.tagsheader {width: 15px; background: url(//images.slashdot.org/block-arrow-expanded.gif) no-repeat 0 50%; }
  div.tags div.tagtitleclosed span.tagsheader {width: 15px; background: url(//images.slashdot.org/login-arrow-collapsed.gif) no-repeat 0 50%; }
  div.tags div.tagtitleopen i a, div.tags div.tagtitleclosed i a {background: transparent;}
  div.tags div.tagbody {
    background: #ddd url(//images.slashdot.org/article-details-bg.png) repeat-x;
    padding: .85em 0 0 .85em;
    color: #666;
border: #ccc 1px solid; border-top: none;
  }
    div.tags div.tagbody input {
      width: 50%;
      margin: .5em 0;
    }
    div.tags div.tagbody input.button { width: 5em }
  div.tags div.tagshide { display: none }

/* General Title */
div.generaltitle div.title {
  background: #044 url(//images.slashdot.org/article-title-bg.png) repeat-x left top;
}
  div.generaltitle div.title a { color: #fff; }
  div.generaltitle div.title h3 {
    padding: .3em .7em .45em .7em;
    color: #fff;
    font-size: 123%; /* 16px */
    font-weight: bold;
    background: url(//images.slashdot.org/article-title-left.png) no-repeat left top;
  }

/* Journal */
#journalgeneric {margin: 1em 0;}
div.generalbody div#journalgeneric div.article {
  margin-bottom: 1.5em;
  background: url(//images.slashdot.org/storylinks-bg.png) repeat-x left bottom;
}
#journalgeneric div.intro i {display: inline; font-style: italic; border: none; margin: 0; padding: 0;}
#journalgeneric div.intro i a {font-style: italic;}
  div.generalbody div#journalgeneric div.article div.body {
    padding-bottom: 2em;
    background: url(//images.slashdot.org/storylinks-right.png) no-repeat right bottom;
  }
#journalgeneric div.storylinks ul li {
	margin: 0;
	padding: 0;
	border: none;
}
#journalgeneric div.storylinks ul li a {
	padding: 0 .4em 0 1em;
	border-left: 1px solid #000;
}
#journalgeneric div.storylinks ul li.edit a, 
#journalgeneric div.storylinks ul li.discussion a, 
#journalgeneric div.storylinks ul li.journalid a { border: none; }
#journalgeneric div.details { }
#journalgeneric div.details div.adminoptions { float: right; }

div.journalpage {
  margin-top: .8em;
  padding: .4em .7em .5em .7em;
  background: #dfdfdf url(//images.slashdot.org/corner-bottom-right.png) no-repeat right bottom;
}
  div.journalpage br { display: none; }

/* Forms */
textarea { width: 99%; }
#admin input.button { width: auto; }

/* Submit */
#submit .message {
	margin: 0 0 1em 0;
	padding: 0;
}

/* Misc */
pre, code { font-size: 93%; }

.secpref_master td { border-bottom: solid 2px #066;}
.secpref_nexus_row { color: #aaa; background: #ccc; }
#sectionprefs_message  { background: #066; font-size: 120%; color: #fff; font-weight: bold; text-align: right; }
#sectionprefs_hdr {text-align: right; background: #066; font-size: 120%; color: #fff; }
#sectionprefs_hdr a {float: left; color: #fff;}
#sectionprefs_hdr span a {float: none; color: #fff; font-size: 10px; font-weight: bold; text-decoration: none;}
#sectionprefs_hdr span { margin: -.3em 0; padding: 0 4px; height: 11px; width: 11px;}
.ps_23, .ps_22, .ps_26 { display: none; }
.curstory { border-top: solid 2px #066; }
.popup { border: solid 2px #066; }
.popup .data { font-size: 100% }
.popup-title {text-align: left; background: #066; font-size: 100%; color: #fff; padding-right: 4em; }
.popup-title .buttons {
  position: absolute;
  right: 0.2em;
}
.popup-title .buttons span a {float: none; color: #fff; font-size: 10px; font-weight: bold; text-decoration: none;}
.popup-title .buttons span { margin: -.3em 0; padding: 0 4px; height: 11px; width: 11px;}

.popup-message { background: #066; color: #fff; }
.popup-title a, .popup-message a { color: #fff }
.popup-contents { background: #ccc; font-size: 80%; padding: 5px; }
.popup-message  { background: #066; font-size: 100%; color: #fff; font-weight: bold; text-align: right; }
#sectionprefs-contents { background: #fff }

#subscribe div.generaltitle div.title {margin-bottom: 0;}

#st-display table
{
	background: #066;
	color: #fff;
}
  blockquote, .quote {
    margin-bottom: .75em;
    padding-left: .75em;
    color: #555;
    border-left: 3px solid #ddd;
    position: relative;
    display: block;
  }
  blockquote * { font-style: normal; }
  .comment > .oneline blockquote {
    border: 0;
    padding: 0;
    margin: 0;
  }

/* Edit */
.edit { width: 4em; position: relative;}
        .edit a { position: relative; float: right; margin-top: -1.2em; display: block; width: 4em; text-indent: -700em; text-decoration: none; background: url(//images.slashdot.org/sic_edit.png) right no-repeat; }
div.article div.title span.edit a {text-decoration: none;}
.briefarticle .edit a {margin: -1.5em .3em 0 0;}

/* Ads */
#fad1 {height: 100px;}
.ad2 {text-align: center;}
#fad2 {margin-bottom: 1em;}
#fad6 {background: #fff;}
#links-ad-content div,
#links-ad-content table {margin: 0 !important; width: 8.95em !important; overflow: hidden;}
#links-ad-content a {color: #066; font-weight: normal !important;}


/* Sponsor Sections */
#user-section {position: relative;}
#sponsorlinks {
        font-size: 95%;
        text-align: right;
        width: 18.5em;
        background: transparent !important;
        bottom: -1.8em;
        z-index: 10000 !important;
        position: absolute;
        right: 2em;
        margin: 0;
}
.popup div.title span,
.popup div.title span a { display: none}
#vendorStory-26-popup {width: 18.5em; border: 2px solid #c5d1a6}
#vendorStory-26-contents {background: #DBE8B8}
#vendorStory-26-popup div.title h3
{ background: #6d745f url(//images.slashdot.org/vendors-slc.gif) no-repeat top left; }
#vendorStory-26-popup div.title h3 a {color: #fff}
#vendorStory-26-popup div.title span a, #vendorStory-26-popup div.title span  { color: #DBE8B8; }
#vendorStory-26-contents a { color: #6d745f; }
#vendorStory-26-popup div.details {background: #DBE8B8}
#vendorStory-26-title {background: #6D745F; padding: .3em}
#vendorStory-26-popup .storylinks div, #vendorStory-26-popup .storylinks ul {background: transparent !important}
#sponsorlinks span {color: #066; text-decoration: underline}
#contents {margin-top: 2em;}
#vendorStory-26-popup #art1, #vendorStory-26-popup #art2, #sponsorlinks  #slink1, #sponsorlinks  #slink1 .comments {margin: 0}
.popup iframe
{
        position:absolute;
        top: -1px;
        left:-3px;
        z-index:-1;
        width:18.5em;
        height: 100%;
        border: none;
        opacity: 0;
}
a:focus { overflow:hidden }

/* additional menu */
#anniversary ul.menu#fhtablist li { font-size: 130%; }
#anniversary ul.menu#fhtablist li, #fhtablist a { color: #fff; padding: 0; margin: 0; }
#anniversary ul.menu#fhtablist li.active a img { margin-left: .3em}
#anniversary ul.menu#fhtablist { margin: 0; padding: .75em 12em .75em .6em; font-size: 90%; background: transparent !important; }
#anniversary ul.menu#fhtablist li.active { background: #444; border: 1px solid #666; border-bottom: 1px solid #777; border-left: 1px solid #777; margin: 0 -.3em 0 0 !important; padding: .3em !important; position: relative; font-weight: bold; }
#anniversary ul.menu#fhtablist li.active a { padding: 0; color: #aaa; text-decoration: none; }
#anniversary ul.menu#fhtablist li.active:before { content: ""; }
#anniversary .event h4 {font-weight: bold; display: inline;}
#anniversary .event h4 span {font-weight: normal}
#anniversary .event input {display: inline; margin: 0 0 0 -2.3em; position: absolute; left: 3em; top: 1em;}
#anniversary .event, #anniversary .date, #anniversary .details  {display: block;}
#anniversary .event {padding: 1em 3em; margin: 0 0 1em 0; background: transparent url(//images.slashdot.org/storylinks-bg.png) repeat-x scroll left bottom;  position: relative;}
#anniversary ul.menu#fhtablist a img {margin: 0 0 -4px 0}
.map
{
        z-index: 1000;
        width: 20px;
        padding: 0 10px;
        text-indent: -7000em;
        position: absolute;
        background: url('//images.slashdot.org/sic_icons.png') no-repeat 0px -1599px;
}
.briefarticle .introhide { display : none }

